Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.motifDiscovery
Class SignificantMotifOccurrencesFinder.SumOfProbabilities

    java.lang.Object
      de.jstacs.motifDiscovery.SignificantMotifOccurrencesFinder.SumOfProbabilities

All Implemented Interfaces:
  SignificantMotifOccurrencesFinder.JoinMethod

Enclosing class:
  SignificantMotifOccurrencesFinder

    public static class SignificantMotifOccurrencesFinder.SumOfProbabilities

extends Object
implements SignificantMotifOccurrencesFinder.JoinMethod

Joins several profiles containing log-probabilities into one profile containing the logarithm of the sum of the probabilities of the single profiles.

Author:
  Jan Grau

Constructor Summary
`SignificantMotifOccurrencesFinder.SumOfProbabilities()`

Method Summary
`double[]` | `joinProfiles(double[][] profiles)` Joins the profiles in `profiles` into a common profile, where each line of `profiles` corresponds to one profile to be joined

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SignificantMotifOccurrencesFinder.SumOfProbabilities

    public SignificantMotifOccurrencesFinder.SumOfProbabilities()

Method Detail

### joinProfiles

    public double[] joinProfiles(double[][] profiles)

  Description copied from interface: `SignificantMotifOccurrencesFinder.JoinMethod`
  Joins the profiles in `profiles` into a common profile, where each line of `profiles` corresponds to one profile to be joined

  Specified by:
    `joinProfiles` in interface `SignificantMotifOccurrencesFinder.JoinMethod`
  Parameters:
    `profiles` - the profiles to be joined
  Returns:
    the joined profiles

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD